/*
* This file is part of project OpenEmbroidery. It's copyrighted by
* the contributors recorded in the version control history of the file.
* Original project location https://code.electrolab.fr/openEmbroidery/openEmbroidery_software
*
* SPDX-License-Identifier: CECILL-2.1
* License-Filename: Licence_CeCILL_V2.1-en.txt
*/

#pragma once

#include "OE_utils.h"
#include "OE_thread.h"
#include <stdint.h>
#include <list>

class OE_instruction
{
	public:
		/** Default constructor */
		OE_instruction();
		/** Default destructor */
		virtual ~OE_instruction();

		int getIdPoint();
		void setIdPoint(int index);

	protected:
		int idPoint;
};

